Subject: Re: [PATCH v2 00/13] hook.[ch]: new library to run hooks + simple hook conversion

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 16 Oct 2021 20:10:07 +0200

On Sat, Oct 16 2021, Junio C Hamano wrote:

> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
>
>> I haven't looked into worktree-add.sh failure (and from what Eric says
>> it seems unrelated), but all the rest is due to a mismerge of
>> reset.c. The diff here at the end on top of "seen" fixes it[1].
>
> Ahh, of course.
>
> The "update_refs()" call is what replaces the
> big block that had a bit of conflict in the way how a hook is run,
> where the original made a call to run_hook_le() now we set up an
> opt structure and make a call to run_hooks_oneshot().  Dropping the
> call to it would of course mean no hooks would be run from there X-<.
>
> Thanks.

I was thinking of re-rolling that series soon, hopefully with "last
nits", would you prefer to just have the reset.c part of it ejected for
now?

It's really nothing that needs to happen right now, we can do it in some
subsequent round when activity in that area has hopefully quieted.

It also means dropping the "remove old run_hook_{le,ve}() hook API", but
that can similarly come later...